org.apache.hc.client5.http.classic.methods

## Class ClassicHttpRequests

- java.lang.Object
- - org.apache.hc.client5.http.classic.methods.ClassicHttpRequests

Deprecated.
Use `ClassicRequestBuilder`

    @Deprecated
    public final class ClassicHttpRequests
    extends Object

Common HTTP methods using `HttpUriRequest` as a HTTP request message representation.

Each static method creates a request object of the exact subclass of `HttpUriRequest` with a non-null URI.

Since:
  5.0

### Constructor Summary

Constructors
Constructor and Description
`ClassicHttpRequests()` Deprecated.

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static HttpUriRequest` `create(org.apache.hc.core5.http.Method method, String uri)` Deprecated. Creates a new HttpUriRequest for the given `Method` and `String` URI.
`static HttpUriRequest` `create(org.apache.hc.core5.http.Method method, URI uri)` Deprecated. Creates a new HttpUriRequest for the given `Method` and `URI`.
`static HttpUriRequest` `create(String method, String uri)` Deprecated. Creates a new HttpUriRequest for the given `method` and `String` URI.
`static HttpUriRequest` `create(String method, URI uri)` Deprecated. Creates a new HttpUriRequest for the given `method` and `URI`.
`static HttpUriRequest` `delete(String uri)` Deprecated.
`static HttpUriRequest` `delete(URI uri)` Deprecated.
`static HttpUriRequest` `get(String uri)` Deprecated.
`static HttpUriRequest` `get(URI uri)` Deprecated.
`static HttpUriRequest` `head(String uri)` Deprecated.
`static HttpUriRequest` `head(URI uri)` Deprecated.
`static HttpUriRequest` `options(String uri)` Deprecated.
`static HttpUriRequest` `options(URI uri)` Deprecated.
`static HttpUriRequest` `patch(String uri)` Deprecated.
`static HttpUriRequest` `patch(URI uri)` Deprecated.
`static HttpUriRequest` `post(String uri)` Deprecated.
`static HttpUriRequest` `post(URI uri)` Deprecated.
`static HttpUriRequest` `put(String uri)` Deprecated.
`static HttpUriRequest` `put(URI uri)` Deprecated.
`static HttpUriRequest` `trace(String uri)` Deprecated.
`static HttpUriRequest` `trace(URI uri)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassicHttpRequests

    public ClassicHttpRequests()

Deprecated.

### Method Detail

#### create

    public static HttpUriRequest create(org.apache.hc.core5.http.Method method,
                                        String uri)

Deprecated.
Creates a new HttpUriRequest for the given `Method` and `String` URI.

Parameters:
  `method` - A method.
  `uri` - a URI.
Returns:
  a new HttpUriRequest.

#### create

    public static HttpUriRequest create(org.apache.hc.core5.http.Method method,
                                        URI uri)

Deprecated.
Creates a new HttpUriRequest for the given `Method` and `URI`.

Parameters:
  `method` - A method.
  `uri` - a URI.
Returns:
  a new HttpUriRequest.

#### create

    public static HttpUriRequest create(String method,
                                        String uri)

Deprecated.
Creates a new HttpUriRequest for the given `method` and `String` URI.

Parameters:
  `method` - A method supported by this class.
  `uri` - a non-null request string URI.
Returns:
  A new HttpUriRequest.
Throws:
  `IllegalArgumentException` - if the method is not supported.
  `IllegalArgumentException` - if the string uri is null.

#### create

    public static HttpUriRequest create(String method,
                                        URI uri)

Deprecated.
Creates a new HttpUriRequest for the given `method` and `URI`.

Parameters:
  `method` - A method supported by this class.
  `uri` - a non-null request URI.
Returns:
  A new HttpUriRequest.
Throws:
  `IllegalArgumentException` - if the method is not supported.
  `IllegalArgumentException` - if the uri is null.

#### delete

    public static HttpUriRequest delete(String uri)

Deprecated.

#### delete

    public static HttpUriRequest delete(URI uri)

Deprecated.

#### get

    public static HttpUriRequest get(String uri)

Deprecated.

#### get

    public static HttpUriRequest get(URI uri)

Deprecated.

#### head

    public static HttpUriRequest head(String uri)

Deprecated.

#### head

    public static HttpUriRequest head(URI uri)

Deprecated.

#### options

    public static HttpUriRequest options(String uri)

Deprecated.

#### options

    public static HttpUriRequest options(URI uri)

Deprecated.

#### patch

    public static HttpUriRequest patch(String uri)

Deprecated.

#### patch

    public static HttpUriRequest patch(URI uri)

Deprecated.

#### post

    public static HttpUriRequest post(String uri)

Deprecated.

#### post

    public static HttpUriRequest post(URI uri)

Deprecated.

#### put

    public static HttpUriRequest put(String uri)

Deprecated.

#### put

    public static HttpUriRequest put(URI uri)

Deprecated.

#### trace

    public static HttpUriRequest trace(String uri)

Deprecated.

#### trace

    public static HttpUriRequest trace(URI uri)

Deprecated.